> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thrivory.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a claim rollup (review + adjudication + status)



## OpenAPI

````yaml api-reference/openapi.json get /v1/claims/{claim_id}
openapi: 3.1.0
info:
  title: Thrivory ThriveNow API
  version: 1.0.0
  description: >-
    Unified API for claim review (predictions), adjudication & funding, claim
    status, webhooks, and reconciliation. Production access requires a BAA with
    Thrivory. All endpoints use HTTPS and JSON.
  contact:
    name: Thrivory Support
    email: support@thrivory.com
  termsOfService: https://thrivory.com/terms
servers:
  - url: https://api.sandbox.thrivory.com
    description: Sandbox
  - url: https://api.thrivory.com
    description: Production
security:
  - oauth2:
      - claims:read
      - claims:write
      - settlements:write
      - metadata:read
      - webhooks:manage
      - imports:write
      - payouts:write
tags:
  - name: Auth
  - name: Metadata
  - name: Claims
  - name: Adjudications & Settlements
  - name: Payout Accounts
  - name: Webhooks
  - name: Imports
  - name: Operations
paths:
  /v1/claims/{claim_id}:
    get:
      tags:
        - Claims
      summary: Fetch a claim rollup (review + adjudication + status)
      parameters:
        - name: claim_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Claim object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Claim'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
components:
  schemas:
    Claim:
      type: object
      properties:
        claim_identifier:
          type: string
        review:
          $ref: '#/components/schemas/ClaimReviewResponse'
        adjudication:
          $ref: '#/components/schemas/Adjudication'
        status:
          $ref: '#/components/schemas/ClaimStatus'
    ClaimReviewResponse:
      type: object
      properties:
        authorization_id:
          type: string
          description: Short‑lived authorization handle used to create an adjudication
        denial_predicted:
          type: boolean
        denial_reasons:
          type: array
          items:
            $ref: '#/components/schemas/ReasonCode'
        expected_reimbursement:
          type: object
          properties:
            allowed:
              type: number
            expected:
              type: number
          required:
            - expected
        expected_payment_date:
          type: string
          format: date
        confidence:
          type: number
          minimum: 0
          maximum: 1
          description: Model confidence
        id:
          type: string
          description: Review ID
      required:
        - authorization_id
        - denial_predicted
        - expected_reimbursement
    Adjudication:
      type: object
      properties:
        settlement_id:
          type: string
        decision:
          type: string
          enum:
            - approved
            - declined
            - manual_review
        terms:
          type: object
          properties:
            advance_percentage:
              type: number
            advance_amount:
              type: number
            fees_estimate:
              type: number
        status:
          type: string
          enum:
            - pending_confirmation
            - approved
            - declined
            - canceled
            - funded
        expected_reimbursement:
          type: number
        expected_payment_date:
          type: string
          format: date
      required:
        - settlement_id
        - decision
        - status
    ClaimStatus:
      type: object
      properties:
        claim_id:
          type: string
        status:
          type: string
        updated_at:
          type: string
          format: date-time
      required:
        - claim_id
        - status
        - updated_at
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error code
        message:
          type: string
        request_id:
          type: string
        details:
          type: object
      required:
        - error
        - message
    ReasonCode:
      type: object
      properties:
        code:
          type: string
        description:
          type: string
      required:
        - code
        - description
  responses:
    Unauthorized:
      description: 401 Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: 404 Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: 500 Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.thrivory.com/v1/oauth/token
          scopes:
            claims:read: Read claims
            claims:write: Create and modify claims
            settlements:write: Create/confirm/cancel settlements
            metadata:read: Read reference data (payers, codes)
            webhooks:manage: Manage webhook endpoints
            imports:write: Submit import jobs
            payouts:write: Manage payout accounts

````